#ifndef FAULTCODE_H__
#define FAULTCODE_H__

#include "Application.h"
#include "common.h"
#define FualtCodeMax 72
extern uint32_t FaultCode_Data[FualtCodeMax] ;
extern uint8_t FaultCode_Number;
uint8_t FaultCode_Compare(uint32_t FaultCode, uint32_t* CodeList, uint8_t len);
void ECU_FaultCode_Processing_Service ( void );
//void Fault_Code_Sort(void);
extern void Fault_Code_Receive(uint8_t CopyData[]);
static void Fault_Code_App_SortNByte(uint32_t *SortData, uint8_t len);
static void Fault_Code_App_Swap(uint32_t *pData1, uint32_t *pData2);
#endif
